function [R,m,x,f,sigm,Y,v,kap,J,wb,D,C,U,V,eta,tight,F,K] = sstate(sig,l,recshare,repl,beta,rho,Q,vartheta,theta,hiring)

R=1/beta;
m=beta;
x=1-rho;
f=x*l/(1-rho*l);
Y=l;
v=x/Q;
tight=v*l/(1-rho*l);
sigm=Q*tight^sig;

if hiring == 0
    kap=recshare*Y/(l*v);
    J=kap/Q;
elseif hiring == 1
    kap=recshare*Y/(l*x);
    J=kap;
end

wb=vartheta+rho*beta*J-J;
D=repl*wb;

if hiring == 0
    C=l-kap*v*l;
elseif hiring == 1
    C=l-kap*x*l;
end

A=D/(1-beta*(1-f));
B=beta*f/(1-beta*(1-f));
a=wb/(1-beta*(rho+(1-rho)*f));
b=beta*(1-rho)*(1-f)/(1-beta*(rho+(1-rho)*f));
U=(A+B*a)/(1-b*B);
V=a+b*U;
S=V-U;
eta=S/(S+J);
F=1/(1-beta*theta);
K=F;

err(1)=-V+wb+beta*(rho*V+(1-rho)*(f*V+(1-f)*U));
err(2)=-U+D+beta*(f*V+(1-f)*U);
err(3)=-S+wb-D+beta*rho*(1-f)*S;
err(4)=-U+(D+beta*f*(V-U))/(1-beta);
if max(abs(err))>.1e-10
    error('fatal (sstate) failed to compute steady state U, V')
end


